AbstractCompactionIterable (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class AbstractCompactionIterable

    java.lang.Object
      org.apache.cassandra.db.compaction.AbstractCompactionIterable

All Implemented Interfaces:
  java.lang.Iterable<AbstractCompactedRow>, CompactionInfo.Holder

Direct Known Subclasses:
  CompactionIterable, ParallelCompactionIterable

    public abstract class AbstractCompactionIterable

extends java.lang.Object
implements java.lang.Iterable<AbstractCompactedRow>, CompactionInfo.Holder

Field Summary
`protected long` | `bytesRead`
`protected CompactionController` | `controller`
`protected java.util.List<SSTableScanner>` | `scanners`
`protected Throttle` | `throttle`
`protected long` | `totalBytes`
`protected OperationType` | `type`

Constructor Summary
`AbstractCompactionIterable(CompactionController controller, OperationType type, java.util.List<SSTableScanner> scanners)`

Method Summary
`CompactionInfo` | `getCompactionInfo()`
`protected static java.util.List<SSTableScanner>` | `getScanners(java.lang.Iterable<SSTableReader> sstables)`
`abstract CloseableIterator<AbstractCompactedRow>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected final OperationType type

### controller

    protected final CompactionController controller

### totalBytes

    protected final long totalBytes

### bytesRead

    protected volatile long bytesRead

### scanners

    protected final java.util.List<SSTableScanner> scanners

### throttle

    protected final Throttle throttle

Constructor Detail

### AbstractCompactionIterable

    public AbstractCompactionIterable(CompactionController controller,
                                      OperationType type,
                                      java.util.List<SSTableScanner> scanners)

Method Detail

### getScanners

    protected static java.util.List<SSTableScanner> getScanners(java.lang.Iterable<SSTableReader> sstables)
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in interface `CompactionInfo.Holder`

### iterator

    public abstract CloseableIterator<AbstractCompactedRow> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<AbstractCompactedRow>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation